
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android对UDP组播接收数据的有限支持(一) / 憋错料</title>

    <meta name="description" content="Android对UDP组播接收数据的有限支持(一) 最近,想做一个跨平台的局域网的文件传输软件,思路是组播设备信息,TCP连接传输文件.于是进行了一次简单的UDP组播测试,发现Android对于UDP组播接收数据的支持即极为有限. 部分代码如下 1 package com.hsocket.Udp; 2 3 import java.io.IOException; 4 import java.net.DatagramPacket; 5 import java.net.DatagramSocket; 6 7 public class UdpReceiv">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android对UDP组播接收数据的有限支持(一)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　最近,想做一个跨平台的局域网的文件传输软件,思路是组播设备信息,TCP连接传输文件。于是进行了一次简单的UDP组播测试，发现Android对于UDP组播接收数据的支持即极为有限。</p>
<p>部分代码如下</p>
<p></p>

<pre> 1 package com.hsocket.Udp;
 2
 3 import java.io.IOException;
 4 import java.net.DatagramPacket;
 5 import java.net.DatagramSocket;
 6
 7 public class UdpReceiver {
 8     protected DatagramSocket client=null;
 9     private OnReceiveListener mOnReceiveListener=null;
10     private Thread thrRecv=null;
11     protected int port=0;
12     public UdpReceiver(int port){
13         this.port=port;
14     }
15     protected DatagramSocket Create() throws IOException{
16         return new DatagramSocket(this.port);
17     }
18     public void addOnReceiveListener(OnReceiveListener mOnReceiveListener){
19         this.mOnReceiveListener=mOnReceiveListener;
20     }
21     public void Stop(){
22         if(this.thrRecv!=null) this.thrRecv.interrupt();
23         this.Close();
24     }
25     public void Listen() throws IOException{
26         this.Close();
27         this.client=this.Create();
28         if(this.thrRecv!=null) this.thrRecv.interrupt();
29         this.thrRecv=new Thread(new Runnable() {
30             @Override
31             public void run() {
32                 while(!Thread.interrupted()){
33                     ReceiveEventArgs args=new ReceiveEventArgs();
34                     try {
35                         DatagramPacket packet=UdpReceiver.this.Receive();
36                         args.Address=packet.getAddress();
37                         args.Result=packet.getData();
38                         args.Length=packet.getLength();
39                         args.Error=false;
40                     } catch (IOException e) {
41                         e.printStackTrace();
42                         args.Exception=e;
43                         args.Error=true;
44                     }
45                     UdpReceiver.this.OnReceive(args);
46                     if(UdpReceiver.this.mOnReceiveListener!=null)
47                         UdpReceiver.this.mOnReceiveListener.OnReceive(UdpReceiver.this, args);
48                 }
49             }
50         });
51         this.thrRecv.start();
52     }
53     protected DatagramPacket Receive() throws IOException{
54         byte[] recvBuf = new byte[4096];
55         DatagramPacket recvPacket= new DatagramPacket(recvBuf , recvBuf.length);
56         this.client.receive(recvPacket);
57         return recvPacket;
58     }
59     protected void Close(){
60         if(this.client!=null) this.client.close();
61     }
62     protected void OnReceive(ReceiveEventArgs args){
63
64     }
65 }</pre>
<p></p>
<p></p>

<pre> 1 package com.hsocket.Udp;
 2
 3 import java.io.IOException;
 4 import java.net.DatagramSocket;
 5 import java.net.InetAddress;
 6 import java.net.MulticastSocket;
 7
 8 public class UdpMultcastReceiver extends UdpReceiver {
 9
10     private InetAddress multicastAddr=null;
11     public UdpMultcastReceiver(InetAddress multicastAddr,int port) {
12         super(port);
13         this.multicastAddr=multicastAddr;
14     }
15
16     @Override
17     protected DatagramSocket Create() throws IOException {
18         MulticastSocket socket=new MulticastSocket(this.port);
19         socket.joinGroup(this.multicastAddr);
20         socket.setLoopbackMode(false);
21         return socket;
22     }
23 }</pre>
<p></p>
<p>　　发现UDP组播接收数据在部分机型存在文件，与系统有极大关系。小米、华为的手机的深度定制系统对UDP的封杀极为严重，折腾开始了</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 22:19:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%8a%80%e6%9c%af%e5%88%86%e4%ba%ab/" title="技术分享">技术分享</a>, <a href="https://www.biecuoliao.com/tag/nts/" title="nts">nts</a>, <a href="https://www.biecuoliao.com/tag/img/" title="img">img</a>, <a href="https://www.biecuoliao.com/tag/exception/" title="exception">exception</a>, <a href="https://www.biecuoliao.com/tag/amp/" title="amp">amp</a>, <a href="https://www.biecuoliao.com/tag/%e5%88%86%e4%bb%a3/" title="分代">分代</a>, <a href="https://www.biecuoliao.com/tag/thread/" title="thread">thread</a>, <a href="https://www.biecuoliao.com/tag/java-net/" title="java&period;net">java&period;net</a>, <a href="https://www.biecuoliao.com/tag/pmu/" title="pmu">pmu</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android对UDP组播接收数据的有限支持(一)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38bE5AM.html" rel="bookmark">UDP及其组播&comma;接收发送封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Receiver 1 public class Receiver 2 { 3 public delegate void HeartBeat(byte[] data); 4 public event HeartBeat Heart; 5 6 #region 内部变量 7 private int size = 65535; 8 private UdpClient newsock; 9 private Thread t; 10 private int m_port; 11 private IPEn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVLN13.html" rel="bookmark">UDP 组播&sol;多播实现步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UDP组播 实现服务器对客户端分组播放(发送数据). 实现步骤: server.c 1.创建服务器套接字 #include &lt;sys/types.h&gt; #include &lt;sys/socket.h&gt; int socket(int domain, int type, int protocol);   返回套接字 2.构建服务器地址结构 struct sockaddr_in serveraddr; #include &lt;strings.h&gt; bzero(&amp;server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eyKPg0.html" rel="bookmark">Linux统系统开发12 Socket API编程3 TCP状态转换 多路IO高并发select  poll  epoll udp组播 线程池</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本文谢绝转载原文来自http://990487026.blog.51cto.com] Linux统系统开发12 Socket API编程3 TCP状态转换 多路IO高并发select  poll  epoll udp组播 线程池 TCP 11种状态理解: 1,客户端正常发起关闭请求 2,客户端与服务端同时发起关闭请求 3,FIN_WAIT1直接转变TIME_WAIT 4,客户端接收来自服务器的关闭连接请求 多路IO转接服务器: select模型 poll模型 epoll模型 udp组播模型 线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l1NGW3.html" rel="bookmark">C&num; 使用UDP组播实现局域网桌面共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近需要在产品中加入桌面共享的功能,暂时不用实现远程控制:参考了园子里的一些文章,加入了一些自己的修改. 需求:将一台机器的桌面通过网络显示到多个客户端的屏幕上,显示内容可能为PPT,Word文档之类的内容,不含视频. 1)抓屏 参考了网上找到的一段代码如下 static BitmapSource CopyScreen() { using (var screenBmp = new Bitmap((int)SystemParameters.PrimaryScreenWidth, (int)Syst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xW9NzM.html" rel="bookmark">（转）C&num; 使用UDP组播实现局域网桌面共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转:http://www.cnblogs.com/mobwiz/p/3715743.html 最近需要在产品中加入桌面共享的功能,暂时不用实现远程控制:参考了园子里的一些文章,加入了一些自己的修改. 需求:将一台机器的桌面通过网络显示到多个客户端的屏幕上,显示内容可能为PPT,Word文档之类的内容,不含视频. 1)抓屏 参考了网上找到的一段代码如下 static BitmapSource CopyScreen() { using (var screenBmp = new Bitmap((int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0legkB3.html" rel="bookmark">JAVA实现UDP组播聊天程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分类: Java 一.实验环境 编程语言:Java1.5(运行在JVM(Java Virsual Machine)) 开发工具:eclipce3.2 测试环境:局域网 二.实验目的 社会已经进入信息时代,网络技术在飞速发展.大量应用都依赖于从一个主机向多个主机或者从多个主机向多个主机发送同一信息的能力,在Internet上分布的数目可能达数十万台,这些都需要更高的带宽,并且大大超出了单播的能力.一种能最大限度地利用现有带宽的重要技术是IP组播. 三.组播聊天程序的实现: /** * 该程序实现了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NJGpJ4.html" rel="bookmark">Android开发：组播（多播）与广播</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近期由于需要编写能够使同一局域网中的Android客户端与PC端进行自动匹配通信功能的程序,学习并试验了JAVA组播与广播的内容,记录一些理解如下: 一.组播(多播)背景知识:组播使用UDP对一定范围内的地址发送相同的一组Packet,即一次可以向多个接受者发出信息,其与单播的主要区别是地址的形式.IP协议分配了一定范围的地址空间给多播(多播只能使用这个范围内的IP),IPv4中组播地址范围为224.0.0.0到239.255.255.255.JAVA编程:java中通过MulticastSoc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGPyR60.html" rel="bookmark">Android MulticastSocket IP组播</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MulticastSocket是对等的关系,也就是他们通过IP多点组播保留的地址来相互接收在这个组的Socket发送的消息 我写了一个例子,MultiSocketB是一个service,用于先接收再发送,MultiSocketA用于先发送再接收,完成这一动作后退出 记得要加使用网络的权限 &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt; 先看MultiSocketA &lt;?xml version			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lDQaN0.html" rel="bookmark">UDP组播相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows服务端 #include &quot;stdafx.h&quot; #include &lt;winsock2.h&gt; #include &lt;ws2tcpip.h&gt; #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #define MCASTADDR &quot;239.255.255.239&quot; //本例使用的多播组地址. #define MCASTPORT 9111 //绑定的本地端口号. #define BUFS			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/1385YW4.html" rel="bookmark" class="title">hdu 2615 Division（暴力）</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2615 题解:挺简单的暴力枚举,小小的分治主要是看没人写题解就稍微写一下 #include &lt;io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBgdv0.html" rel="bookmark" class="title">js--prompt对话框</a>
					<div>
						&lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot;&gt;&lt;head&gt; &lt;meta charset=&quot;UTF-8&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RB1D70.html" rel="bookmark" class="title">C&plus;&plus;primer 13&period;1&period;3节练习</a>
					<div>
						练习13.9 析构函数执行与构造函数相反的操作,构造函数初始化对象的非static数据成员,析构函数释放对象使用的资源,并销毁对象的非static数据成员.当一个类没有定义自己的析构函数的时候,编译器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvqJX0.html" rel="bookmark" class="title">关于高度塌陷问题解决方法</a>
					<div>
						如果父元素只包含浮动元素,且父元素未设置高度和宽度,那么它的高度就会塌缩为零,也就是所谓的“高度塌陷”. 如果父级元素包含背景或者边框,那么溢出的元素就不像父级元素的一部分了. 解决“高度塌陷”问题的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAJQG0.html" rel="bookmark" class="title">Java超简明入门学习笔记（零）</a>
					<div>
						Java编程思想第4版学习笔记(零) 前言   这个笔记本主要记录了我在学习Java编程思想(第4版,中文版)的过程中遇到的重难点及其分析.主要参考了C++11版本的C++语言,对比了它们不同的部分. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mom59w3.html" rel="bookmark" class="title">《寄生兽》观后感</a>
					<div>
						根据日本18禁漫画改变的电影&lt;寄生兽&gt;貌似早在两年前就在日本上映,分上下两部.时隔两年,在16年的9月初,终于搬到大陆的荧屏.个人觉得还是值得一看,有很多值得反思的地方,例如亲情,人类对环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQmZQ0.html" rel="bookmark" class="title">Apache Drill Install and Test</a>
					<div>
						Drill doc, https://drill.apache.org/docs/hive-storage-plugin/ 发现在国内访问的时候有些标签反应还是很慢,因为它访问了gooleapi的缘故 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NabLV3.html" rel="bookmark" class="title">24天学会设计模式------责任链模式</a>
					<div>
						林炳文Evankaka原创作品.转载请注明出处http://blog.csdn.net/evankaka/article/details/43210027 一.责任链模式(Chain of Respo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ey56D0.html" rel="bookmark" class="title">第一天  第一个应用</a>
					<div>
						退出键盘: resignFirstResponder 当叫出键盘的那个控件(第一响应者)调用这个方法时,就能退出键盘 endEditing 只要调用这个方法的控件内部存在第一响应者,就能退出键盘 为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xreXQ4.html" rel="bookmark" class="title">大数据导致DataReader&period;Close超时的异常</a>
					<div>
						公司一个数据抓取的程序,数据量极大,读取数据的用IDataReader的Read方法来进行数据处理,在测试的时候我想跑一部分数据后跳出循环,即break; 然后关闭datareader,但是在执行da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1X6y4.html" rel="bookmark" class="title">linux ngixn lua postgres 特辑</a>
					<div>
						估计没时间写下去了,这里先做个存档. nginx作为一个web服务端,是非常优秀的,自从添加了lua模块,更是如虎添翼.假如nginx是全程的无限高输出的ADC,那lua就是全程最佳的辅助,全地图眼, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxQgG0.html" rel="bookmark" class="title">函数作用域中的this问题</a>
					<div>
						首先一起回顾下预解析和作用域吧: 预解析: 浏览器每读到一个script标签或function,先不执行任何代码,会先把整个代码快速的浏览一遍,然后从中 挑出 var 和 function两个关键字  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkNVbM.html" rel="bookmark" class="title">python基础 - 01</a>
					<div>
						python 变量名 在python中的变量命名,与其他语言大体相似,变量的命名规则如下: 变量名是数字.字母.下划线的任意组合 变量名的第一个字符不能是数字 系统的关键字不能设置为变量名    Ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzmyw3.html" rel="bookmark" class="title">No2&lowbar;4&period;接口继承多态&lowbar;Java学习笔记&lowbar;经典案例</a>
					<div>
						1 import java.util.ArrayList; 2 import java.util.Collections; 3 import java.util.List; 4 5 /** 6 * @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9bkQM.html" rel="bookmark" class="title">Microsoft Azure地缘组是什么</a>
					<div>
						地缘组(Affinity Group)在Azure当中涉及比较多,除了常用的虚拟机服务以外,像存储,或者云服务都会包含地缘组的概念,那么地缘组到底是个什么意思?在用户初次登录Azure订阅时是没有任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47ejzx0.html" rel="bookmark" class="title">点击一个超链接&comma;弹出固定大小的新窗口（js实现）</a>
					<div>
						点击一个超链接,弹出固定大小的新窗口(js实现),有需要的朋友可以参考下. 1.最基本的弹出窗口代码 &lt;SCRIPT LANGUAGE=&quot;javascript&quot;&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d2JK74.html" rel="bookmark" class="title">excel 删除了自动保存的文件，如何恢复</a>
					<div>
						第一步: 首先   找回删掉并清空回收站的东西 步骤: 1.单击“开始——运行,然后输入regedit (打开注册表) 2.依次展开:HEKEY——LOCAL——MACHIME/SOFTWARE/mi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6ZvPM.html" rel="bookmark" class="title">beaglebone led控制。</a>
					<div>
						子曾经曰过,点灯,是embedded领域的“hello world” 最近开始入手beaglebone…… 原文地址: http://www.cnblogs.com/hebaichuanyeah/p/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvLwkM.html" rel="bookmark" class="title">IOS AutoLayout详解（三）用代码实现&lpar;附Demo下载&rpar;</a>
					<div>
						原创Blog,转载请注明出处 blog.csdn.net/hello_hwc 欢迎关注我的IOS SDK专栏,这个专栏我会持续进行更新. IOS SDK详解 前言: 在开发的过程中,有时候创建View ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eYE1D0.html" rel="bookmark" class="title">java数据类型转换之int，byte</a>
					<div>
						   直接看以下的运算: public class TestConvert{ public static void main(String []args){ byte b1=67; byte b2=8 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
